Show / Hide Table of Contents

# Interface IEnhancedPlugin

An enhanced version of the standard IPA plugin.

##### Inherited Members

IPlugin.Name
IPlugin.Version
IPlugin.OnApplicationStart()
IPlugin.OnApplicationQuit()
IPlugin.OnLevelWasLoaded(Int32)
IPlugin.OnLevelWasInitialized(Int32)
IPlugin.OnUpdate()
IPlugin.OnFixedUpdate()

###### Namespace: IPA.Old

###### Assembly: IPA.Loader.dll

##### Syntax

    [Obsolete("When building plugins for Beat Saber, use IPA.IEnhancedPlugin")]
    public interface IEnhancedPlugin : IPlugin

### Properties

| Improve this Doc View Source

#### Filter

Gets a list of executables this plugin should be executed on (without the file ending)

##### Declaration

    string[] Filter { get; }

##### Property Value

Type | Description
--- | ---
String[] |

##### Examples

{ "PlayClub", "PlayClubStudio" }

### Methods

| Improve this Doc View Source

#### OnLateUpdate()

Called after Update.

##### Declaration

    void OnLateUpdate()

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])